     // add eventListener for tizenhwkey
    document.addEventListener('tizenhwkey', function(e) {
        if (e.keyName === "back") {
            try {
                tizen.application.getCurrentApplication().exit();
            } catch (ignore) {}
        }
    });


    var map, placesList;
    var pyrmont;
    
    function initialize() {
    	if(navigator.geolocation)
    	{
    	var watchId = navigator.geolocation.getCurrentPosition(function(position) {
    		
    		pyrmont= new google.maps.LatLng(position.coords.latitude , position.coords.longitude);
    		 map = new google.maps.Map(document.getElementById('map-canvas'), {
    			    center: pyrmont,
    			    zoom: 17
    			  });

    		 var request = {
    				    location: pyrmont,
    				    radius: 500,
    				    types: ['hospital']
    				  };

    				  placesList = document.getElementById('places');

    				  var service = new google.maps.places.PlacesService(map);
    				  service.nearbySearch(request, callback);
    		});
    	}
    }

    function callback(results, status) {
      if (status != google.maps.places.PlacesServiceStatus.OK) {
        return;
      } else {
        createMarkers(results);
      }
    }

    function createMarkers(places) {
      var bounds = new google.maps.LatLngBounds();

      for (var i = 0, place; place = places[i]; i++) {
        var image = {
          url: place.icon,
          size: new google.maps.Size(71, 71),
          origin: new google.maps.Point(0, 0),
          anchor: new google.maps.Point(17, 34),
          scaledSize: new google.maps.Size(25, 25)
        };

        var marker = new google.maps.Marker({
          map: map,
          icon: image,
          title: place.name,
          position: place.geometry.location
        });

        bounds.extend(place.geometry.location);
      }
      map.fitBounds(bounds);
    }

    window.google.maps.event.addDomListener(window, 'load', initialize);



